import {
    request
} from "../http";
// 公共API
const apiPath = {
    getBuyPackageList: '/api/proj/servicepkg/packageinfo/listpage/${type}/self', //获取可以购买的套餐包列表
    getPayOrder: '/api/pay/get-order', //获取支付订单
    enterprisePay: '/api/pay/pay-account-recharge/${accountRechargeId}', //企业付款完成支付
    enterpriseAccountInfo: '/api/pay/get-pay-system-bank', //获取公司账户信息
}
class PayService {
    static doGetBuyPackageList(type, data) {
        const path = apiPath.getBuyPackageList.replace('${type}', type);
        return request(path, "GET", data);
    }
    //对公转账完成
    static doCompleteEnterprisePay(url, data) {
        const path = apiPath.enterprisePay.repeat('${accountRechargeId}', url)
        return request(path, "POST", data)
    }
    //获取账户信息
    static doGetEnterpriseAccountInfo() {
        return request(apiPath.enterpriseAccountInfo, "GET")
    }
}

export default PayService;