import {
    request
} from "../http";
// 公共API 
const apiPath = {
    loginUrl: '/api/user/wx/login', //登录
    registerUrl: '/api/user/wx/register', //注册,
    csaNo: '/api/csa/get', //获取客服编号
    createContact: '/api/proj-contact/save', //创建联系人
    mineAccount: '/api/user-info/get-user-self', //获取我的账户余额
    minePackageCount: '/api/proj/servicepkg/packageorder/count/self', //我的套餐包剩余
    uploadImg: '/api/file/v2/upload-image', //上传图片
}
class UserService {
    static doLogin(data) {
        return request(apiPath.loginUrl, "POST", data, null, 'operator', false)
    }
    static doRegister(data) {
        return request(apiPath.registerUrl, "POST", data, null, 'operator', false)
    }
    static doGetCsaNo() {
        return request(apiPath.csaNo, "GET")
    }
    static doCreateContact(data) {
        return request(apiPath.createContact, "POST", data)
    }

    static doGetMineAccount() {
        return request(apiPath.mineAccount, "GET")
    }
    static doGetMinePackageCount() {
        return request(apiPath.minePackageCount, "GET")
    }
    static doUploadImg(data) {
        return request(apiPath.uploadImg, "POST", data)
    }
}

export default UserService;