// pages/mine/mine.js
import UserApi from '../../../net/api/userApi'
const app = getApp()
const deviceInfo = wx.getDeviceInfo()
const screenInfo = wx.getWindowInfo();
const statusBarHeight = screenInfo.statusBarHeight; // 状态栏高度
const navBarHeight = deviceInfo.platform == 'IOS' ? 48 : 50; // 导航栏高度（iOS 为 44px，Android 为 48px）
const windowHeight = screenInfo.windowHeight - navBarHeight - statusBarHeight; //可用内容高度
Page({

    /**
     * 页面的初始数据
     */
    data: {
        statusBarHeight: statusBarHeight,
        navBarHeight: navBarHeight,
        totalHeight: navBarHeight, // 导航栏总高度
        contentHeight: windowHeight,
        allCount: 0,
        materialCount: 0,
        accountInfo: {},
        menuList: [{
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "个人信息"
        }, {
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "修改密码"
        }, {
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "我的订单"
        }, {
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "发票管理"
        }, {
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "产权所属人"
        }, {
            "icon": "https://img.icons8.com/?size=100&id=OZzk5umGngVd&format=png&color=000000",
            "title": "产权联系人"
        }]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        const _self = this
        _self.getMineAccount()
        _self.getMinePackageCount()
    },
    getMineAccount() {
        const _self = this
        UserApi.doGetMineAccount()
            .then(res => {
                _self.setData({
                    accountInfo: res
                })
            }, err => {
                console.log(err)
            })
    },
    getMinePackageCount() {
        UserApi.doGetMinePackageCount()
            .then(res => {
                console.log(res)
            }, err => {
                console.log(err)
            })
    },
    //优惠卷
    doCoupons() {
        wx.navigateTo({
            url: '/pages/mine/mineAccount/mineCoupons/mineCoupons',
        })
    },
    //跳转充值页面
    doPay() {
        wx.navigateTo({
            url: '/pages/copyright/payment/payment',
        })
    }
})